Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## swarm.gui
Class HistogramCImpl

    java.lang.Object
      |
      +--swarm.BaseImpl
            |
            +--swarm.PhaseCImpl
                  |
                  +--swarm.gui.HistogramCImpl

public class HistogramCImpl
extends PhaseCImpl
implements ArchivedGeometryWidgetC, ArchivedGeometryWidgetS, HistogramS, HistogramC

Histogram display tool.. In Tk, this is based on BLT's barchart. The number of bins is fixed at creation time, then the user hands the Histogram an array of datapoints (double or int) to display (or optionally an array of datapoints and locations where the bars should be drawn (specified as doubles).

Fields inherited from class swarm.PhaseCImpl
`nextPhase`

Constructor Summary
`HistogramCImpl()`
`HistogramCImpl(Histogram nextPhase)`

Methods implemented by this class for interface swarm.gui.ArchivedGeometryWidgetC
`create$setWindowGeometryRecordName, loadWindowGeometryRecord, registerAndLoad, setSaveSizeFlag, setWindowGeometryRecordName, updateSize`

Methods implemented by this class for interface swarm.gui.HistogramC
`setBinCount`

Methods implemented by this class for interface swarm.gui.WidgetC
`createParent, makeWidgetNameFor, setParent, setWidgetNameFromParent, setWidgetNameFromParentName`

Methods implemented by this class for interface swarm.defobj.CreateC
`create, createBegin, createEnd`

Methods implemented by this class for interface swarm.defobj.CustomizeC
`customizeBegin, customizeCopy, customizeEnd`

Methods inherited from class swarm.PhaseCImpl
`_copy_creating_phase_to_using_phase`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### HistogramCImpl

    public HistogramCImpl(Histogram nextPhase)

### HistogramCImpl

    public HistogramCImpl()

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD